# eric5.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.ProjectHelper

Module implementing the shelve extension project helper.

### Global Attributes

None

### Classes

LargefilesProjectHelper | Class implementing the queues extension project helper.

### Functions

None

## LargefilesProjectHelper

Class implementing the queues extension project helper.

### Derived from

HgExtensionProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

LargefilesProjectHelper | Constructor
__hgLfPull | Private slot to pull missing large files into the local repository.
__hgLfSummary | Private slot to show a working directory summary.
__hgLfVerify | Private slot to verify large files integrity.
__hgLfconvert | Private slot to convert the repository format of the current project.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.
shutdown | Public method to perform shutdown actions.

### Static Methods

None

#### LargefilesProjectHelper (Constructor)

LargefilesProjectHelper()

Constructor

#### LargefilesProjectHelper.__hgLfPull

__hgLfPull()

Private slot to pull missing large files into the local repository.

#### LargefilesProjectHelper.__hgLfSummary

__hgLfSummary()

Private slot to show a working directory summary.

#### LargefilesProjectHelper.__hgLfVerify

__hgLfVerify(mode)

Private slot to verify large files integrity.

mode
  verify mode (string; one of 'large', 'lfa' or 'lfc')

#### LargefilesProjectHelper.__hgLfconvert

__hgLfconvert(direction)

Private slot to convert the repository format of the current project.

direction
  direction of the conversion (string; one of 'largefiles' or 'normal')

#### LargefilesProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### LargefilesProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

mainMenu
  reference to the main menu (QMenu)

Returns:
  populated menu (QMenu)

#### LargefilesProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Returns:
  title of the menu (string)

#### LargefilesProjectHelper.shutdown

shutdown()

Public method to perform shutdown actions.

Note: Derived class may implement this method if needed.

Up